#pragma once

#include <Text.h>
#include <Server.h>
#include "Datenbank.h"

using namespace Framework;
using namespace Network;

class TeamsEditor : public virtual ReferenceCounter
{
private:
    Text pfad;
    Text fehler;
    EdSDatenbank *db;
    int id;

public:
    // Konstruktor
    TeamsEditor( int id, char *pf, EdSDatenbank *db );
    // Destruktor
    ~TeamsEditor();
    // nicht constant
    bool prozessMessage( SKlient *zKlient );
    // constant
    char *getLetzterFehler() const;
};